<?php
	session_start();
	
	if ( isset($_SESSION['loginadmin']) ){
		
		header('Content-Type: text/html; charset=utf-8');
		header("Cache-Control: no-cache, must-revalidate");
		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
		
		define('ga_email','gustavo.hinterholz');
		define('ga_password','005681');
		define('ga_profile_id','63361899');
		
		require 'gapi.class.php';
		
		$ga = new gapi(ga_email,ga_password);
		
		//$inicio = date('Y-m-01', strtotime('-1 month')); // 1° dia do mês passado 
		//$fim = date('Y-m-t', strtotime('-1 month')); // Último dia do mês passado 
		
		//$ga->requestReportData(ga_profile_id,array('browser'),array('pageviews','visits','newvisits'), null, null, $inicio, $fim);
		$ga->requestReportData(ga_profile_id,array('visitCount'),array('pageviews','visits','newvisits','timeOnSite'));

		
	} else {
		session_destroy();
		header('Location: ../erro.php');
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link type="text/css" href="css/evo-reset.css" rel="stylesheet" media="screen" />
<link type="text/css" href="css/evo-admin.css" rel="stylesheet" media="screen" />
<script type="text/javascript" src="js/jquery-latest.js"></script>
<script type="text/javascript" src="js/jquery.metadata.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
<script type="text/javascript">
	$(function() {
		$("table")
			.tablesorter({widthFixed: true, widgets: ['zebra']})
	});
</script>
<script language="javascript">
	function Excluir(idcomentario){
		apagar = confirm("Deseja excluir este Cadastro?");
		if (apagar==false){
		}
		if (apagar==true){
		self.location="gerencia-comentario-excluir.php?idcomentario="+idcomentario;
		}
	}
</script>
<title>Administrador</title>
</head>
<body>
<?php include("include/topo.inc.php"); ?>
<div id="evo-conteudo-admin">
<?php include("include/menu.inc.php"); ?>
<div id="evo-interior-admin">
	<h1>Dados de Acesso </h1>
	<div id="evo-cont-admin">
		<fieldset class="evo-dados-centro">
		<legend>Totais</legend>
		<p>
			<?php
		echo "Dados referentes a:<b> " . strftime("%d/%m/%Y", strtotime("-29 days")) . "</b> - até:<b> " . date('d/m/Y') . "</b>";
 	  ?>
		</p>
		<table class="evo-tabela-edicao">
			<tr>
				<th width="33%" class="Alinha_Centro">Total de Acessos </th>
				<th width="33%" class="Alinha_Centro">P&aacute;ginas Visualizadas </th>
				<th width="34%" class="Alinha_Centro">M&eacute;dia de P&aacute;ginas por Acesso </th>
			</tr>
			<tr>
				<td class="Alinha_Centro"><p><?php echo $ga->getVisits() ?></p></td>
				<td class="Alinha_Centro"><p><?php echo $ga->getPageviews() ?></p></td>
				<td class="Alinha_Centro"><p><?php echo substr(($ga->getPageviews())/($ga->getVisits()), 0, -8) ?> páginas </p></td>
			</tr>
			<tr>
				<th class="Alinha_Centro">Tempo M&eacute;dio no Site </th>
				<th class="Alinha_Centro">Novos 
					Visitantes (Quantidade)</th>
				<th class="Alinha_Centro">Novos 
					Visitantes (%)</th>
			</tr>
			<tr>
				<td class="Alinha_Centro"><p><?php echo substr((($ga->getTimeOnSite
())/($ga->getVisits())/60), 0, -9) ?> minutos</p></td>
				<td class="Alinha_Centro"><p><?php echo $ga->getNewVisits() ?></p></td>
				<td class="Alinha_Centro"><p><?php echo substr((($ga->getNewVisits())/($ga->getVisits())*100), 0, -8) ?>%</p></td>
			</tr>
		</table>
		</fieldset>
		<fieldset class="evo-dados-esq">
		<legend>Detalhe Acessos</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('day','month'),array('visits'),array('-month','-day'));
		?>
			<table class="evo-tabela-edicao" style="margin-top: 0 !important; width: 99%; *width: 93%;">
				<tr>
					<th class="Alinha_Esq">Dia Mês</th>
					<th class="Alinha_Dir">Acessos</th>
				</tr>
				<?php
foreach($ga->getResults() as $result):
?>
				<tr style="border-bottom: 1px solid silver;">
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getVisits() ?></p></td>
				</tr>
				<?php
endforeach
?>
			</table>
		</div>
		</fieldset>
		<fieldset class="evo-dados-dir">
		<legend>Navegadores</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('browser'),array('visits'),array('-visits'));
		?>
			<table width="98%" class="evo-tabela-edicao" style="margin-top: 5px !important; width: 99%; *width: 93%;">
				<tr>
					<th class="Alinha_Esq">Navegador</th>
					<th class="Alinha_Dir">Acessos</th>
				</tr>
				<?php
		foreach($ga->getResults() as $result):
		?>
				<tr>
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getVisits() ?></p></td>
				</tr>
				<?php
		endforeach
		?>
			</table>
		</div>
		</fieldset>
		<fieldset class="evo-dados-esq">
		<legend>Resolução Monitores</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('screenResolution'),array('visits'),array('-visits'));
		?>
			<table width="93%" class="evo-tabela-edicao" style="margin-top: 0 !important; width: 99%; *width: 93%;">
				<tr>
					<th class="Alinha_Esq">Resolução Monitor</th>
					<th class="Alinha_Dir">Acessos</th>
				</tr>
				<?php
			foreach($ga->getResults() as $result):
			?>
				<tr>
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getVisits() ?></p></td>
				</tr>
				<?php
			endforeach
			?>
			</table>
		</div>
		</fieldset>
		<fieldset class="evo-dados-dir">
		<legend>Palavras Chaves</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('keyword'),array('entrances'),array('-entrances'));
		?>
			<table width="93%" class="evo-tabela-edicao" style="margin-top: 0 !important; width: 99%; *width: 93%;">
				<tr>
					<th class="Alinha_Esq">Palavra Chave</th>
					<th class="Alinha_Dir">Acessos</th>
				</tr>
				<?php
			foreach($ga->getResults() as $result):
			?>
				<tr>
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getEntrances() ?></p></td>
				</tr>
				<?php
			endforeach
			?>
			</table>
		</div>
		</fieldset>
		<fieldset class="evo-dados-esq">
		<legend>Acessos por Página</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('PagePath'),array('pageviews'),array('-pageviews'));
		?>
			<table width="93%" class="evo-tabela-edicao" style="margin-top: 0 !important; width: 99%; *width: 93%;">
				<tr>
					<th width="43%" class="Alinha_Esq">Páginas</th>
					<th width="57%" class="Alinha_Dir">N&ordm; de Visualiza&ccedil;&otilde;es</th>
				</tr>
				<?php
			foreach($ga->getResults() as $result):
			?>
				<tr>
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getPageviews() ?></p></td>
				</tr>
				<?php
			endforeach
			?>
			</table>
		</div>
		</fieldset>
		<fieldset class="evo-dados-dir">
		<legend>Cidades</legend>
		<div id="Dentro_50">
			<?php		
		$ga->requestReportData(ga_profile_id,array('city'),array('entrances'),array('-entrances'));
		?>
			<table width="93%" class="evo-tabela-edicao" style="margin-top: 0 !important; width: 99%; *width: 93%;">
				<tr>
					<th class="Alinha_Esq">Cidades</th>
					<th class="Alinha_Dir">Acessos</th>
				</tr>
				<?php
			foreach($ga->getResults() as $result):
			?>
				<tr>
					<td class="Alinha_Esq" style="border-bottom: 1px solid silver;"><p><?php echo $result ?></p></td>
					<td class="Alinha_Dir" style="border-bottom: 1px solid silver;"><p><?php echo $result->getEntrances() ?></p></td>
				</tr>
				<?php
			endforeach
			?>
			</table>
		</div>
		</fieldset>
	</div>
</div>
</body>
</html>
